package com.rkinney4.finalapp;

import android.content.Context;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentPagerAdapter;

import com.rkinney4.finalapp.TabFragment;

/**
 * Created by Rachel on 4/18/2017.
 */

public class TabAdapter extends FragmentPagerAdapter {

    Context context;
    String[] tabTitles;

    TabFragment[] tabs;

    public TabAdapter(FragmentManager fm, Context context) {
        super(fm);
        this.context = context;
        tabTitles = context.getResources().getStringArray(R.array.tab_titles);
        tabs = new TabFragment[2];
    }

    @Override
    public Fragment getItem(int position) {
        if (tabs[position] == null) {
            tabs[position] = TabFragment.newInstance(position, context);
        }
        return tabs[position];
    }

    @Override
    public int getCount() {
        return 2;
    }

    @Override
    public CharSequence getPageTitle(int position) {
        // Generate title based on item position
        return tabTitles[position];
    }
}
