from locust import HttpLocust, TaskSet, task
from random import randint
from flask import jsonify
MAX_USERS = 1000

class UserTasks(TaskSet):
  @task(5)
  def login(l):
    user_id = 'userNumber' + str(l)
    print(user_id)
    data = {'id' : user_id, 'lat' : 39.3262740 , 'lon' : -76.6209801}
    l.client.post('/car_loc', json=data)

  # @task(1)
  # def emergency(l):
  #   user_id = 'userNumber' + str(l)
  #   print(user_id)
  #   data = {'id' : user_id, 'lat' : 39.3262740 , 'lon' : -76.6209801}
  #   l.client.post('/car_loc', json=data)

class WebsiteUser(HttpLocust):
  host = 'https://cloud2.cnds.jhu.edu'
  min_wait = 1000
  max_wait = 7000

  task_set = UserTasks

